Kerbal Space Program - Bug #23312

Fairings Do Not Shield Prop Blades from Airstream
08/07/2019 04:23 AM - Geschosskopf

Status: Confirmed Start date: 08/07/2019
Severity: Low % Done: 10%
Assignee:

Category: Parts

Target version:

Version: 1.7.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

Propellers (built from Prop Blades on rotors) blow in the airstream during launch even when enclosed in a fairing. As the rocket
ultimately reaches 2000m/s or more in the atmosphere, the prop blades spin so fast the joints between blades and hubs stretch a lot,
causing the blades to become visible twirling around outside the fairing. Then, when you deploy the fairing, its pieces hit the prop
blades which are outside the fairing, causing their destruction.

WORKAROUND: Launch the rocket with the brakes locked so the blades don't spin.
Replication:

1. Built a small prop plane.

2. Put the plane on top of a rocket with the prop blades perpendicular to the airstream during launch, so they would windmill if there
was no fairing.

3. Enclose the plane in a fairing.

4. Be sure the brakes are NOT on.

5. Launch the rocket for orbit. As the rocket reaches high sub-orbital speeds, you'll see the prop blades twirling around outside the
fairing.

6. Once out of the atmosphere, deploy the fairing. Observe the the destruction of the prop blades.

7. Repeat the above only launch with the brakes locked. The blades don't move so do not penetrate the fairing and are not
damaged when the fairing is deployed.

History

#1 - 08/12/2019 06:18 AM - Anonymous
- File FairingProp.craft added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirming, with an example attached, where the prop can propel the aircraft, despite being enclosed in a fairing.

#2 - 03/01/2020 02:51 PM - AHHans
AFAIK this is fixed in 1.8.1

#3 - 11/17/2020 07:30 PM - Anonymous

The craft file attached above, FairingProp.craft, still gives thrust in version 1.10.1.

But very small changes to the fairing shape changed the behavior even in 1.7.3.

If this lift of propellers in fairings bother you, you can probably avoid it by making the fairing a bit bigger, or as the top post says, setting the brakes,
which is easier.

Files

FairingProp.craft 44.2 KB 08/12/2019 Anonymous
